Page MenuHomePhabricator

Disable IME (don't show the icon) when CodeMirror is turned on
Closed, ResolvedPublic2 Story Points

Description

We've banged our head against T171374: Make CodeMirror support IME functionality for a while now. We haven't heard a lot of complaining about it currently. Let's disable it.

Event Timeline

Niharika created this task.May 8 2018, 12:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 8 2018, 12:20 AM
MusikAnimal updated the task description. (Show Details)May 8 2018, 12:23 AM
MusikAnimal updated the task description. (Show Details)
mxn added a subscriber: mxn.May 8 2018, 5:40 AM
Niharika set the point value for this task to 2.May 15 2018, 11:15 PM
MaxSem claimed this task.May 25 2018, 11:09 PM
MaxSem moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 435362 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/CodeMirror@master] Disable ULS when CodeMirror is on

https://gerrit.wikimedia.org/r/435362

Change 435362 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Disable ULS when CodeMirror is on

https://gerrit.wikimedia.org/r/435362

Niharika closed this task as Resolved.Jun 5 2018, 6:22 PM
Niharika moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.

This seems to (not) work great!

Vvjjkkii renamed this task from Disable IME (don't show the icon) when CodeMirror is turned on to lfdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed MaxSem as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: MaxSem; removed: gerritbot, Aklapper.
Niharika renamed this task from lfdaaaaaaa to Disable IME (don't show the icon) when CodeMirror is turned on .Jul 1 2018, 4:48 AM
Niharika closed this task as Resolved.
Niharika assigned this task to MaxSem.
Niharika lowered the priority of this task from High to Normal.
Niharika updated the task description. (Show Details)
Niharika set the point value for this task to 2.
CommunityTechBot renamed this task from Disable IME (don't show the icon) when CodeMirror is turned on to Disable IME (don't show the icon) when CodeMirror is turned on.Jul 5 2018, 6:38 PM
CommunityTechBot raised the priority of this task from Normal to Needs Triage.